//Magenta Emerald
freeslot("MT_MAGENTAEMERALD", "S_MAGENTAEMERALD", "SPR_STPN")

//Magenta Shield
freeslot("MT_MAGENTASHIELD", "S_MAGENTASHIELD", "SPR_MGSD", "SPR_SCFE")

mobjinfo[MT_MAGENTASHIELD] = {
	spawnstate = S_MAGENTASHIELD,
	spawnhealth = 1,
	height = 45*FRACUNIT,
	radius = 45*FRACUNIT,
	speed = 1,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIPHEIGHT|MF_SCENERY,
	dispoffset = 6
}

states[S_MAGENTASHIELD] = {
	sprite = SPR_MGSD,
	frame = A|FF_ANIMATE|FF_TRANS50,
	var1 = 11,
	var2 = 3,
	tics = 6*54,
	nextstate = S_NULL,
}

//Magenta Attack
freeslot("MT_MGNTATTACK", "S_MGNTATTACK1", "S_MGNTATTACK2", "S_MGNTATTACK_SPIN", "S_MGNTATTACKDIE1", "S_MGNTATTACKDIE2", "SPR_MGTK", "sfx_tblr")

mobjinfo[MT_MGNTATTACK] = {
    spawnstate = S_MGNTATTACK1,
	deathstate = S_MGNTATTACK_SPIN,
    radius = 16*FRACUNIT,
    height = 24*FRACUNIT,
	speed = 80*FRACUNIT,
	flags = MF_MISSILE|MF_NOBLOCKMAP|MF_NOGRAVITY
}

states[S_MGNTATTACK1] = {
	sprite = SPR_MGTK,
	frame = A|FF_TRANS50,
	tics = 3,
	nextstate = S_MGNTATTACK2,
}

states[S_MGNTATTACK2] = {
	sprite = SPR_MGTK,
	frame = B|FF_TRANS50,
	tics = 3,
	nextstate = S_MGNTATTACK1,
}


states[S_MGNTATTACK_SPIN] = {
	sprite = SPR_MGTK,
	frame = C|FF_TRANS20,
	tics = 3,
	nextstate = S_MGNTATTACKDIE1,
}

states[S_MGNTATTACKDIE1] = {
	sprite = SPR_MGTK,
	frame = C|FF_TRANS50,
	tics = 3,
	nextstate = S_MGNTATTACKDIE2,
}

states[S_MGNTATTACKDIE2] = {
	sprite = SPR_MGTK,
	frame = D|FF_TRANS80,
	tics = 3,
	nextstate = S_NULL,
}

for i = 1,5
	freeslot("SKINCOLOR_SUPER_AMETHYST"..i)
end

skincolors[SKINCOLOR_SUPER_AMETHYST1] = {
    name = "Super Amethyst 1",
    ramp = {0, 1, 252, 176, 176, 160, 161, 161, 162, 162, 163, 163, 164, 165, 166, 166},
    invcolor = SKINCOLOR_APPLE,
    invshade = 9,
    chatcolor = V_BLUEMAP,
    accessible = false
}
skincolors[SKINCOLOR_SUPER_AMETHYST2] = {
    name = "Super Amethyst 2",
    ramp = {0, 1, 252, 176, 160, 161, 161, 162, 162, 163, 163, 164, 165, 166, 166, 167},
    invcolor = SKINCOLOR_APPLE,
    invshade = 9,
    chatcolor = V_BLUEMAP,
    accessible = false
}
skincolors[SKINCOLOR_SUPER_AMETHYST3] = {
    name = "Super Amethyst 3",
    ramp = {0, 252, 176, 160, 161, 161, 162, 163, 163, 164, 164, 165, 166, 167, 167, 168},
    invcolor = SKINCOLOR_APPLE,
    invshade = 9,
    chatcolor = V_BLUEMAP,
    accessible = false
}
skincolors[SKINCOLOR_SUPER_AMETHYST4] = {
    name = "Super Amethyst 4",
    ramp = {0, 252, 176, 160, 161, 162, 163, 163, 164, 165, 166, 167, 167, 168, 169, 253},
    invcolor = SKINCOLOR_APPLE,
    invshade = 9,
    chatcolor = V_BLUEMAP,
    accessible = false
}
skincolors[SKINCOLOR_SUPER_AMETHYST5] = {
    name = "Super Amethyst 5",
    ramp = {0, 144, 160, 161, 162, 163, 163, 164, 165, 166, 167, 167, 168, 169, 254, 31},
    invcolor = SKINCOLOR_APPLE,
    invshade = 9,
    chatcolor = V_BLUEMAP,
    accessible = false
}