local function StefanHud(v, player)
	if (player.mo and player.mo.valid)
		if player.mo.skin == "stefan"
			local barx = 16
			local bary = 78
			local color = 38
			v.drawString(15, 63, "Stamina", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			v.drawFill((barx-1), bary, 102, 2, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			v.drawFill((barx - 2), (bary + 2), 102, 2, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			if player.mo.stefanstamina ~= nil
				local ener = player.mo.stefanstamina
				v.drawFill(barx, (bary+1), ener, 1, color+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
				v.drawFill((barx-1), (bary+2), ener, 1, color+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			end
			v.drawFill((barx + 31), (bary + 1), 3, 1, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			v.drawFill((barx + 30), (bary+2), 3, 1, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			v.drawFill((barx + 64), (bary + 1), 3, 1, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
			v.drawFill((barx + 63), (bary+2), 3, 1, 31+V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
		end
	end
end

hud.add(StefanHud)

local f = 350

local function stefanf(v, player)
	if f > 0
		if f < 350
			if not (f > 320 and f % 2 == 0) and not (f < 30 and f % 2 == 0)
				v.drawString(160, 156, "for Sonic Robo Blast 2", V_ALLOWLOWERCASE, "thin-center")
				v.drawString(160, 168, "created by Pupsik228", V_ALLOWLOWERCASE, "thin-center")
				v.drawString(160, 184, "Coding by Mr.FondusBroMan", V_ALLOWLOWERCASE, "thin-center")
			end
		end
	end
	if f > 0
		f = $ - 3
	end
end

hud.add(stefanf, "title")

local function stefanmenu(v, player)
	if mapheaderinfo[gamemap].armagood then return end
    if (player.mo and player.mo.valid and player.mo.skin == "stefan")
    and not(mapheaderinfo[gamemap].typeoflevel & TOL_NIGHTS)
    and not (player.powers[pw_carry] == CR_NIGHTSMODE)
    and not G_IsSpecialStage()
    and player.playerstate == PST_LIVE
        if player.mo.stefanmenu == 1
            //v.draw(0, 0, v.cachePatch("stefanPAL"), V_50TRANS|V_SNAPTOTOP|V_SNAPTOLEFT|V_PERPLAYER)
            v.drawLevelTitle(120, 4, "Menu", V_PERPLAYER)
            if player.mo.stefanpoint < 5
                if player.mo.stefanpoint == 1
                    v.draw(46, 65, v.cachePatch("STEFANCHOISE"), V_50TRANS|V_PERPLAYER)
                elseif player.mo.stefanpoint == 2	
                    v.draw(175, 65, v.cachePatch("STEFANCHOISE"), V_50TRANS|V_PERPLAYER)
                elseif player.mo.stefanpoint == 3
                    v.draw(46, 140, v.cachePatch("STEFANCHOISE"), V_50TRANS|V_PERPLAYER)
                elseif player.mo.stefanpoint == 4
                    v.draw(175, 140, v.cachePatch("STEFANCHOISE"), V_50TRANS|V_PERPLAYER)
                end
                v.draw(64, 70, v.cachePatch("STEFANSPRITES"), V_PERPLAYER)
                v.draw(175, 70, v.cachePatch("STEFANSPRITES"), V_PERPLAYER)
                v.draw(64, 139, v.cachePatch("STEFANSPRITES"), V_PERPLAYER)
                v.draw(175, 139, v.cachePatch("STEFANSPRITES"), V_PERPLAYER)
				v.drawString(71, 100, "Ability 1: " + player.stefanability, V_HUDTRANS|V_PERPLAYER, "small")
				v.drawString(197, 100, "Ability 2: " + player.stefanshield, V_HUDTRANS|V_PERPLAYER, "small")
				v.drawString(71, 167, "Ability 3: " + player.stefanfire, V_HUDTRANS|V_PERPLAYER, "small")
				v.drawString(197, 167, "Ability 4: " + player.stefanability3, V_HUDTRANS|V_PERPLAYER, "small")
            else
				v.drawScaled(65*FRACUNIT, 38*FRACUNIT, FRACUNIT,v.cachePatch("STEFANCHOISE1"), V_50TRANS|V_PERPLAYER)
				v.drawScaled(78*FRACUNIT, 45*FRACUNIT, FRACUNIT,v.cachePatch("STEFANSPRITES1"), V_PERPLAYER)
				v.drawString(126, 95, "Nothing", V_HUDTRANS|V_PERPLAYER)
				if (leveltime % 3) == 1
					if player.stefannothing > 0
						v.drawString(126, 95, "Nothing", V_HUDTRANS|V_PERPLAYER|V_REDMAP)
					end
				end
			end
        end
    end
end

hud.add(stefanmenu)